---
title: "Integration"
source: /gcxone/api/integration
locale: en
updated: 2026-09-04
---
Operations on integration resources. 6 endpoints, each relative to `https://api.nxgen.cloud/api/v1` and authenticated as described under [Authentication](/gcxone/api/authentication).

## POST /integration

Add a new integration to a specific hierarchy level

### Request body

Add Integration

```json
{
  "name": "string (required)",
  "isActive": "boolean",
  "type": "string",
  "description": "string",
  "internalProxy": "string",
  "externalProxy": "string",
  "vpnProxy": "string",
  "protocolType": "string",
  "userName": "string",
  "password": "string",
  "accessToken": "string",
  "externalEndpoint": "string",
  "accessLevel": "string (required)",
  "entityId": "string (required)",
  "integrationInput": "object",
  "integrationOutput": "object"
}
```

### Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Success |  |
| 400 | Invalid input |  |
| 401 | Unauthorized |  |
| 403 | Forbidden |  |

Example `200` response:

```json
{
  "result": true
}
```

## POST /integration/filter

Gets integration list with filtering, sorting and pagination. It allows hierarchical level searching. It can be filtered using specified hierarchy or it uses the logged in user hierarchy. This gives the option to get additional entity fields in the response. Also provides configuration meta data about entity.

### Request body

Integration filtering and sorting

```json
{
  "filters": [
    {
      "columnName": "string (required)",
      "type": "distinctList | date | number | StringConditionFilter (required)",
      "filter": "object (required)"
    }
  ],
  "sortOrder": [
    {
      "columnName": "string",
      "isAscending": "boolean"
    }
  ],
  "primaryColumns": [
    "string"
  ],
  "hierarchyLevel": "string",
  "hierarchyId": "string",
  "nPerPage": "number",
  "pageNumber": "number",
  "isConfigDetailRequired": "boolean",
  "getConfig": "boolean",
  "getChildOrParent": "boolean"
}
```

### Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Success | object |
| 204 | No Content |  |
| 400 | Invalid input |  |
| 401 | Unauthorized |  |
| 403 | Forbidden |  |

Example `200` response:

```json
{
  "dataResult": [
    {
      "uniqueId": "644745a2be7af43fac26788f",
      "accessLevel": "serviceprovider",
      "isActive": true,
      "name": "Webhook For DEV",
      "description": "desc"
    },
    {
      "uniqueId": "6447481dbe7af43fac267891",
      "accessLevel": "serviceprovider",
      "isActive": true,
      "name": "DC09 For DEV"
    },
    {
      "uniqueId": "644748ecbe7af43fac267892",
      "accessLevel": "serviceprovider",
      "isActive": true,
      "name": "External Integration Test"
    }
  ],
  "totalRecordsCount": 3
}
```

## GET /integration?id={id}&isTemplates={isTemplates}

Get Integration by Id

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| id | query | string | no |  |
| isTemplates | query | string | no |  |

### Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Success |  |
| 400 | Invalid input |  |
| 401 | Unauthorized |  |
| 403 | Forbidden |  |
| 404 | Not Found |  |

Example `200` response:

```json
{
  "data": {
    "_id": "62ea2a8328c7c9",
    "uniqueId": "afd49a39338dc",
    "accessLevel": "site",
    "createdBy": "developer-1@dev.de",
    "createdOn": 1659513475763,
    "modifiedBy": "developer-1@dev.de",
    "modifiedOn": 1659514047995,
    "name": "External Integration",
    "description": "desc",
    "internalProxy": "",
    "externalProxy": "",
    "vpnProxy": "",
    "protocolType": "",
    "userName": "",
    "password": "",
    "accessToken": "",
    "externalEndpoint": "",
    "parentAccountId": "23424-324-3424",
    "integrationInput": {},
    "integrationOutput": {},
    "serviceProviderId": "",
    "customerId": "",
    "siteId": ""
  }
}
```

## PUT /integration?id={id}&isTemplates={isTemplates}

Update an existing Integration

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| id | path | string | yes |  |

### Request body

To update integration, provide the existing Id

```json
{
  "name": "string",
  "isActive": "boolean",
  "type": "string",
  "description": "string",
  "internalProxy": "string",
  "externalProxy": "string",
  "vpnProxy": "string",
  "protocolType": "string",
  "userName": "string",
  "password": "string",
  "accessToken": "string",
  "externalEndpoint": "string",
  "integrationInput": "object",
  "integrationOutput": "object"
}
```

### Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Success |  |
| 400 | Invalid input |  |
| 401 | Unauthorized |  |
| 403 | Forbidden |  |
| 404 | Not Found |  |

Example `200` response:

```json
{
  "isSuccess": true
}
```

## PATCH /integration?id={id}&isTemplates={isTemplates}

Patch to update the integration

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| id | path | string | yes |  |

### Request body

To update the integration

```json
{
  "isActive": "boolean"
}
```

### Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Success |  |
| 401 | Unauthorized |  |
| 403 | Forbidden |  |
| 404 | Not Found |  |

Example `200` response:

```json
{
  "isSuccess": true
}
```

## DELETE /integration?id={id}&isTemplates={isTemplates}

Delete integration by Id

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| id | path | string | yes |  |

### Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Success |  |
| 401 | Unauthorized |  |
| 403 | Forbidden |  |
| 404 | Not Found |  |

Example `200` response:

```json
{
  "isSuccess": true
}
```